aboutsummaryrefslogtreecommitdiffstats
path: root/main/libtheora/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libtheora/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libtheora/APKBUILD')
-rw-r--r--main/libtheora/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/main/libtheora/APKBUILD b/main/libtheora/APKBUILD
new file mode 100644
index 0000000000..f17b0e8ac6
--- /dev/null
+++ b/main/libtheora/APKBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libtheora
+pkgver=1.1.1
+pkgrel=1
+pkgdesc="An open video codec developed by the Xiph.org"
+url="http://www.xiph.org"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-examples"
+depends=
+makedepends="libvorbis-dev libogg-dev sdl-dev autoconf automake libtool"
+source="http://downloads.xiph.org/releases/theora/$pkgname-$pkgver.tar.bz2
+ libtheora-flags.patch"
+
+depends_dev="libogg-dev"
+build() {
+ cd "$srcdir"/libtheora-$pkgver
+ patch -p1 -i ../libtheora-flags.patch || return 1
+ aclocal -I m4 && autoconf && automake && libtoolize || return 1
+
+ ./configure --prefix=/usr \
+ --enable-shared \
+ --disable-static || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/libtheora-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -m755 -d ""$pkgdir"/usr/share/licenses/$pkgname"
+ install -m644 LICENSE COPYING "$pkgdir"/usr/share/licenses/$pkgname/
+}
+
+examples() {
+ pkgdesc="Example applications for libtheora"
+ cd "$srcdir"/libtheora-$pkgver/examples
+ install -d "$subpkgdir"/usr/bin
+ install -m755 dump_psnr player_example dump_video encoder_example \
+ "$subpkgdir"/usr/bin/
+}
+
+md5sums="292ab65cedd5021d6b7ddd117e07cd8e libtheora-1.1.1.tar.bz2
+7cbab1ce1f52adb98e1c241515a27aca libtheora-flags.patch"